module DmgAndroidApi
  module Android

    # Search query pages are extremely similar to leaderboard pages.
    # Amazingly, this inheritence hack works!
    class SearchQuery < DmgAndroidApi::Android::Leaderboard
      def initialze(query, options={})
        super(query, nil, options)
      end

      def market_urls(options={})
        results = []
        min_page = options[:min_page] || 1
        max_page = 9
        (min_page..max_page).each do |page|
          start_val = (page - 1) * 46

          url = "https://play.google.com/store/search?"
          url << "q=#{URI.escape(identifier)}&"
          url << "c=apps&start=#{start_val}&"
          url << "num=46&hl=en"
          
          results << url
        end

        results
      end
    end

  end
end
